Foreman - Bug #11025

Test runner isn't run when using the Jenkins test tasks
07/06/2015 10:20 AM - Eric Helms

Status: Closed
Priority: Normal
Assignee: Eric Helms
Category: Tests
Target version: 1.10.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/2475
Description

Related issues:
Related to Foreman - Feature #6549: Core tests should be disable-able from pl... Closed

07/09/2014

Associated revisions

Revision dcc3a96f - 07/08/2015 06:23 AM - Eric Helms

Fixes #11025: Allow skip test runner to run through Jenkins test task.

The Jenkins Cl gem implements its own custom test runner. When trying
to use a custom test runner in the jenkins environment, this test

runner needs to be inherited from and included as the last argument.

In order to do this, a new task that adds our test runner is executed
before each test task so that the custom test runner is always the last
argument and wins over the base Jenkins runner.

The interface for users calling this test tasks should remain the same,

only the output (and ability to run the custom test runner in Jenkins)
should change.

History

#1 - 07/06/2015 10:30 AM - Dominic Cleal

- Category set to Tests

- Status changed from New to Ready For Testing

- Assignee set to Eric Helms

- Pull request https://github.com/theforeman/foreman/pull/2475 added
- Pull request deleted ()

#2 - 07/06/2015 10:30 AM - Dominic Cleal
- Related to Feature #6549: Core tests should be disable-able from plugins added

#3 - 07/08/2015 06:22 AM - Dominic Cleal

- translation missing: en.field_release set to 63

#4 - 07/08/2015 07:01 AM - Eric Helms
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset dcc3a96f9605072c510e2fa06d2177f710634cc1.
